Subject: [Rfced-future] Appeal: Apparent IAB approval/foregone conclusion of draft-iab-rfcefdp-rfced-model-12.txt

From: John C Klensin <[email-masked]>
Date: Sat, 05 Mar 2022 13:18:46 -0500

IAB,

The announcement of your agenda [1] was sent out within the two
hours before I started writing this note.
draft-iab-rfcefdp-rfced-model-12.txt was posted well under 24
hours ago.  Yet the agenda says, as a document update report:
	"Approved for publication:
	draft-iab-rfcefdp-rfced-model-12"
	
While I have every hope that some version of
draft-iab-rfcefdp-rfced-model will be able to be approved by the
IAB before the open meeting on March 24, a note from the Editor
refers to a "next version" and a note from the Program co-chair
suggests further review within the Program.  The latter is
included below, with the announcement detailed elided, and
includes a copy of the former.  

If the IAB knew in advance exactly when -12 would be posted,
scheduled an emergency meeting immediately after that time, and
reviewed and approved it, why was the Program (and especially
the Editor and Co-chairs not informed of that so we could stop
wasting our time on further reviews and improvements?  Of
course, if the IAB did that review, or even a review of -11, and
concluded that any additional issues could be sorted out at
AUTH48, that would go directly to the importance of the recent
Program discussion of what should or should not be allowed at
AUTH48, at least without further community review.  The Program
has apparently concluded that AUTH48 details or restrictions
should be left for future work but, if the IAB intends to push
new material in -12 and anything that might appear in any future
I-D versions off to that process, it would probably justify
reopening that discussion and perhaps focusing it more on
non-IETF WG documents.

If, as I hope was the case, the inclusion of "-12" in the Agenda
was just an editing error, and the IAB simply intended to report
on the approval of some version of the I-D, it still seems to me
inappropriate to announce approval of a document neither the IAB
nor the community have had a chance to review, and, if it is not
-12 even a chance to see, unless the IAB intends to accept
whatever the Program produces without discussion, even
discussion of key oversight issues about the process (see
below).  The IAB is supposed to be responsible for the output of
its Programs; I hope that responsibility is being taken
seriously.

In addition: 

(i) draft-carpenter-rfced-iab-charter is connected with
	the "RFC Editor Model" document but obviously interacts
	with the IAB and its activities.  Does the IAB intend to
	tell the community how it expects to handle that
	document and would not at least an announcement to that
	effect be appropriate during the Open Meeting?  In
	particular, the Agenda indicates that the Program will
	be closed as soon is draft-iab-rfcefdp-rfced-model is
	published.  Should any of the other documents now being
	discussed as part of the Program, that Charter revision
	included, not be finished and published with or before
	the RFC Editor Model, would they then be abandoned?  
	Some additional explanation be in order.  If all of 
  that will be covered comprehensively in the (I assume 
  forthcoming) IAB report and at the Plenary, and is not 
  worth mentioning as part of the Open Meeting Agenda, 
  why not	save a few more minutes and eliminate the 
  Status Update from the Open Meeting agenda entirely?
	
(ii) Watching the mailing list for the Program over the
	last (nearly two) years, doing a very quick review of
	the mail archive, and remembering the discussions that
	led to the Program's creation, suggests that this work
	-- which is more than a collection of administrative and
	procedural changes but might affect the entire community
	and the broader perceptions and future effectiveness of
	the IETF (and IAB and IRTF)-- has been reviewed and
	contributed to by a tiny fraction of that community (or
	even the number of people registered for IETF 113 as of
	the last report on registrations) despite the great
	commitment of the leadership and by several of those
	involved (demonstrated by their extensive postings).
	For IETF Working Groups and documents --on which the
	Program's work process was modeled-- one important
	function of the IESG review, even if it rarely mentioned
	explicitly, is to ensure that a standards track document
	has been reviewed widely enough by parties who might be
	affected.   Does the IAB intend to consider the
	implications of the relatively narrow participation in
	the WG and the fairly narrow range of perspectives the
	participants represent?  Will that analysis be presented
	to the community or does the IAB intend to simply
	approve and announce the Program's outputs without such
	consideration?  And if there is a presentation of the
	decision, will that done in a way that is broadly
	available, made part of the record, and, if necessary,
	subject to a further appeal?

Actions requested by this appeal:

(1) Do not approve, or announce that you are going to approve,
draft-iab-rfcefdp-rfced-model (or any version of it), or any
other document under discussion in the Program, before the
Program has concluded its work.

(2) If the IAB intends to approve whatever the Program produces
without doing its own critical review of both the document(s)
and the process, particularly the breadth of participation in
forming the Program consensus, announce that to the community
and put it on the agenda for discussion at the Plenary and/or
the Open Meeting, making sure there is time for such a
discussion.

(3) If the IAB believes that these issue deserve more open
discussion with a potentially broader community than the Plenary
and Open Meeting agenda would allow for, either schedule an
additional meeting session during IETF or schedule an online
open workshop to be held before approval.  If the latter, use
the same kinds of broad outreach that
draft-iab-rfcefdp-rfced-model contemplates for
potentially-significant changes... noting that this is the most
potentially-significant set of changes made to the RFC Editor
Function since its beginnings (as described in RFC 8700).

Please note that none of the above requests changes in either
the model document nor in the way the Program has operated.  I
think it is appropriate that we be at least as careful with how
the process is concluded and the documents approved as the
community has been in its creation and progress so far.

thanks, 
   john

[1]
https://datatracker.ietf.org/meeting/113/materials/agenda-113-iabopen-01

---------- Forwarded Message ----------
Date: Saturday, March 5, 2022 13:41 +0100
From: Eliot Lear <[email-masked]>
To: Peter Saint-Andre <[email-masked]>, [email-masked]
Cc: Internet Architecture Board <[email-masked]>
Subject: Re: [Rfced-future] Fwd: New Version Notification for
draft-iab-rfcefdp-rfced-model-12.txt

Thank you Peter.

Please note that there are a good number of changes made.  I
don't think these changes substantially change the consensus
established within the group, but people should review them for
themselves.

Eliot

On 05.03.22 04:09, Peter Saint-Andre wrote:
> Hi all, this version is my attempt to incorporate all feedback 
> received during the IAB's community call for comments. If I
> have  missed anything, please post to the [email-masked]
> list and I  will make the appropriate fixes in the next
> version.
> 
> Thanks!
> 
> Peter
> 
> 
> -------- Forwarded Message --------
> Subject: New Version Notification for 
> draft-iab-rfcefdp-rfced-model-12.txt
> Date: Fri, 04 Mar 2022 19:05:19 -0800
> From: [email-masked]
> To: Peter Saint-Andre <[email-masked]>
> 
> 
> A new version of I-D, draft-iab-rfcefdp-rfced-model-12.txt
> has been successfully submitted by Peter Saint-Andre and
> posted to the IETF repository.
> 
> Name:        draft-iab-rfcefdp-rfced-model
> Revision:    12
> Title:        RFC Editor Model (Version 3)
> Document date:    2022-03-05
> Group:        iab
> Pages:        32

[...]

---------- End Forwarded Message ----------

Subject: Re: [Rfced-future] Fwd: New Version Notification for draft-iab-rfcefdp-rfced-model-12.txt
From: Eliot Lear <[email-masked]>
To: Peter Saint-Andre <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Internet Architecture Board <[email-masked]>
Date: Sat, 5 Mar 2022 13:41:20 +0100
List-Id: RFC Editor Future Development Program <rfced-future.iab.org>

Thank you Peter.

Please note that there are a good number of changes made.  I don't think 
these changes substantially change the consensus established within the 
group, but people should review them for themselves.

Eliot

On 05.03.22 04:09, Peter Saint-Andre wrote:
> Hi all, this version is my attempt to incorporate all feedback 
> received during the IAB's community call for comments. If I have 
> missed anything, please post to the [email-masked] list and I 
> will make the appropriate fixes in the next version.
>
> Thanks!
>
> Peter
>
>
> -------- Forwarded Message --------
> Subject: New Version Notification for 
> draft-iab-rfcefdp-rfced-model-12.txt
> Date: Fri, 04 Mar 2022 19:05:19 -0800
> From: [email-masked]
> To: Peter Saint-Andre <[email-masked]>
>
>
> A new version of I-D, draft-iab-rfcefdp-rfced-model-12.txt
> has been successfully submitted by Peter Saint-Andre and posted to the
> IETF repository.
>
> Name:        draft-iab-rfcefdp-rfced-model
> Revision:    12
> Title:        RFC Editor Model (Version 3)
> Document date:    2022-03-05
> Group:        iab
> Pages:        32
> URL: https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-12.txt
> Status: https://datatracker.ietf.org/doc/draft-iab-rfcefdp-rfced-model/
> Html: 
> https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-12.html
> Htmlized: 
> https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model
> Diff: https://www.ietf.org/rfcdiff?url2=draft-iab-rfcefdp-rfced-model-12
>
> Abstract:
>    This document specifies version 3 of the RFC Editor Model.  The Model
>    defines two high-level tasks related to the RFC Series.  First,
>    policy definition is the joint responsibility of the RFC Series
>    Working Group (RSWG), which produces policy proposals, and the RFC
>    Series Approval Board (RSAB), which approves such proposals. Second,
>    policy implementation is primarily the responsibility of the RFC
>    Production Center (RPC) as contractually overseen by the IETF
>    Administration Limited Liability Company (IETF LLC).  In addition,
>    various responsibilities of the "RFC Editor Function" are now
>    performed alone or in combination by the RSWG, RSAB, RPC, RFC Series
>    Consulting Editor (RSCE), and IETF LLC.  Finally, this document
>    establishes the Editorial Stream for publication of future policy
>    definition documents produced through the processes defined herein.
>
>    This document obsoletes RFC 8728.  This document updates RFC 7841,
>    RFC 8729, and RFC 8730.
>
>
>
>
> The IETF Secretariat
>
>
-- 
Rfced-future mailing list
[email-masked]
https://www.iab.org/mailman/listinfo/rfced-future

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 6 Mar 2022 09:04:38 +1300

With regard to draft-carpenter-rfced-iab-charter, note that this is
a proposed BCP so is subject to IETF consensus and IESG approval.
The IAB Chair informed me in late November that it had been discussed
(in its -05 draft) by the IAB.

The IAB minutes of 2021-11-17 state:
"During the Last Call, the IAB will make a statement that endorses the changes to the IAB charter in draft-carpenter-rfced-iab-charter."

That still needs to happen, unless I missed a message.

Regards
    Brian Carpenter

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 7 Mar 2022 08:52:13 +1300

There is a nit in my message below. The version that the IAB discussed in 
November was draft-carpenter-rfced-iab-charter-03. The changes since then 
do not affect the wording of the IAB charter; they can of course be reviewed in the datatracker.

Regards
    Brian Carpenter

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 7 Mar 2022 12:07:15 +0100

Dear John,

Thanks for noting this issue. The text in the IABopen agenda was my best guesstimate what the state will be at the time of he IABopen meeting (e.g. also for some of the other draft where the -01 version are not even yet submitted). This was not mention to be an announcement but I understand that this can and probably did cause confusion. This was clearly not well communicated by me and I now updated the agenda respectively. Sorry for that.

The IAB is closely collaborating with the program chairs and draft editor. The IAB is currently reviewing the draft and by announcing the community feedback widely [1] and requesting additional reviews from various directorates, we believe we supported the process in order to widen community review as much as possible. This was also coordinated with the chairs and the program. 

The current status of draft-iab-rfcefdp-rfced-model is that the IAB received a note from the program chairs on Feb 2 that the document is ready to be processed by the IAB [2]. The IAB then started the community feedback period (as mentioned above) which ends today and the draft is scheduled for approval by the IAB on our call this Wednesday. We coordinated with Peter and the chairs to submit a new version in order to address all community feedback comments received so far. Any additional comments that are received before Wednesday will of course still be considered by the IAB, and I even believe that editorial comments can still be considered that are received at any point before final publication (especially given there is also the RPC editing process still upcoming).

Further, as also requested by the program chairs, draft-carpenter-rfced-iab-charter, draft-rosen-rfcefdp-update-2026, and draft-rsalz-2028bis also went though a 4 weeks last call process initiated by the responsible AD during the same period. These documents are scheduled for approval by the IESG on this Thursday’s telechat agenda [3].

I hope this clarifies your points below. If you have out-standing concerns, please let me know and I will bring them up with the IAB for further discussion.

Mirja

[1] https://mailarchive.ietf.org/arch/msg/ietf-announce/T4C74AMabIfTSAjbWXSrWECBXXY/

[2] https://mailarchive.ietf.org/arch/msg/rfced-future/yqOgYNMa6zLZcU069YJ4YYPj_qc/

[3] https://datatracker.ietf.org/iesg/agenda/documents/

> On 5. Mar 2022, at 19:18, John C Klensin <[email-masked]> wrote:
> 
> IAB,
> 
> Date: 5. March 2022 at 13:41:20 CET
> Please note that there are a good number of changes made.  I don't think these changes substantially change the consensus established within the group, but people should review them for themselves.
> 
> Eliot
> 
>> Hi all, this version is my attempt to incorporate all feedback received during the IAB's community call for comments. If I have missed anything, please post to the [email-masked] list and I will make the appropriate fixes in the next version.
>> 
>> Thanks!
>> 
>> Peter
>> 
>> 
>> Subject: New Version Notification for draft-iab-rfcefdp-rfced-model-12.txt
>> Html: https://www.ietf.org/archive/id/draft-iab-rfcefdp-rfced-model-12.html
>> Htmlized: https://datatracker.ietf.org/doc/html/draft-iab-rfcefdp-rfced-model

---

From: Mirja Kuehlewind <[email-masked]>
Date: Mon, 7 Mar 2022 12:17:15 +0100

Hi Brian,

Thanks for noting this is again. The plan is that the IAB discusses this on Wednesday together with the discussion about the approval of draft-iab-rfcefdp-rfced-model. I will coordinate with Lars (and you) to ensure that if the IAB wants to add a note to the document to record its support that a) the IESG will be made aware of his before approval on Thursday and b) provide a note to be added before publication. 

Mirja

> On 6. Mar 2022, at 20:52, Brian E Carpenter <[email-masked]> wrote:
> 
> There is a nit in my message below. The version that the IAB discussed in November was draft-carpenter-rfced-iab-charter-03. The changes since then do not affect the wording of the IAB charter; they can of course be reviewed in the datatracker.
> 
> Regards
>   Brian Carpenter